Retrieve Record Merge Results
Given a job_id for a merge records job, retrieve the job results.
Before submitting this request:
- You must have previously requested a record merge job which is no longer
IN_PROGRESS. - You must have a valid
job_idfield value returned from the record merge operation.
GET
/api/{version}/vobjects/merges/{job_id}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The job_id field value returned from the merge operation. You can start merge operations with the Initiate Record Merge API request or with the Vault Java SDK. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.1/vobjects/merges/863301/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"merge_sets": [
{
"duplicate_record_id": "0V0000000000003",
"main_record_id": "0V0000000000013",
"status": "FAILURE",
"error": {
"type": "INVALID_DATA",
"message": "Failed validation. Merge was not attempted."
}
}
]Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the results of the record merge_sets that attempted to merge.
For each of the merge_sets that return a status of FAILURE, Vault may return one of the following error types:
INVALID_DATA: The merge was not attemptedPROCESSING_ERROR: The merge was attempted, but failed during processing